TableActionDetails (base API)
Date: 2019-04-05

com.twosigma.beakerx.table.action

## Class TableActionDetails

- java.lang.Object
- - com.twosigma.beakerx.table.action.TableActionDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class TableActionDetails
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableActionDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.twosigma.beakerx.widget.CommActions` | `getActionType()`
    `int` | `getCol()`
    `java.lang.String` | `getContextMenuItem()`
    `int` | `getRow()`
    `java.lang.String` | `getTag()`
    `void` | `setActionType(com.twosigma.beakerx.widget.CommActions actionType)`
    `void` | `setCol(int col)`
    `void` | `setContextMenuItem(java.lang.String contextMenuItem)`
    `void` | `setRow(int row)`
    `void` | `setTag(java.lang.String tag)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TableActionDetails

          public TableActionDetails()

  - ### Method Detail

    - #### getRow

          public int getRow()

    - #### setRow

          public void setRow(int row)

    - #### getCol

          public int getCol()

    - #### setCol

          public void setCol(int col)

    - #### getContextMenuItem

          public java.lang.String getContextMenuItem()

    - #### setContextMenuItem

          public void setContextMenuItem(java.lang.String contextMenuItem)

    - #### getActionType

          public com.twosigma.beakerx.widget.CommActions getActionType()

    - #### setActionType

          public void setActionType(com.twosigma.beakerx.widget.CommActions actionType)

    - #### getTag

          public java.lang.String getTag()

    - #### setTag

          public void setTag(java.lang.String tag)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`